Page MenuHomePhabricator

Regression: FOUC for tablet users
Closed, ResolvedPublic3 Story Points

Description

T126825 fixed the FOUC on mobile however if you visit https://en.m.wikipedia.org/wiki/Los_Angeles_Lakers on a desktop device and scroll down.
The sections are initially collapsed but expand as soon as the JS loads.

e.g. loading the above on an (emulated) average 2G connection in Chrome (54.0.2840.98) looks as follows:

AC

  • Test that there is no FOUC on mobile
  • Test that there is no FOUC on tablet

Suggested Solution

A media query should be introduced to override this while the JS is still loading.

Test Plan

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 16 2016, 10:06 AM

Since this task was signed off during this sprint I've added it to this sprint as I don't think the work can be deemed complete.

Jdlrobson renamed this task from FOUC for tablet users to Regression: FOUC for tablet users.Nov 16 2016, 10:07 AM
Jdlrobson added a project: Regression.

Not sure whether it's appropriate to reopen T150839 in this case given T150839 remains fixed and this is a regression.

โ€ข jhobs triaged this task as High priority.Nov 16 2016, 5:46 PM
โ€ข jhobs moved this task from Incoming to 2016-17 Q2 on the Readers-Web-Backlog board.
phuedx updated the task description. (Show Details)Nov 17 2016, 10:03 AM
phuedx updated the task description. (Show Details)
Jdlrobson moved this task from Needs Analysis to Doing on the Reading-Web-Sprint-85-๐Ÿ’ฉ board.

Change 322081 had a related patch set uploaded (by Jdlrobson):
Avoid a flash of unstyled content on most tablet devices

https://gerrit.wikimedia.org/r/322081

MBinder_WMF set the point value for this task to 3.Nov 21 2016, 5:09 PM

Change 322081 merged by jenkins-bot:
Avoid a flash of unstyled content on most tablet devices

https://gerrit.wikimedia.org/r/322081

Nicholas.tsg added a subscriber: Nicholas.tsg.EditedNov 27 2016, 8:45 PM

On the Samsung Galaxy Tab 4 and iPad Air 2 iOS 10.2 (the tablets), the sections on the Barack Obama and Los Angeles Lakers pages are already open (not collapsed then open, but already open) when the article is opened. I checked this with Android Browser, Safari, Chrome, and Firefox and it is the same across all browser apps.

I didn't have an Android phone with me at home, but on the iPhone 6S iOS 10.2 I tested, the sections are closed and do not open when the JS loads or when scrolling the page, a section only opens when tapped.

I believe these are the expected results and will move this to the fixed section.

ovasileva closed this task as Resolved.Nov 28 2016, 11:57 AM
ovasileva added a subscriber: ovasileva.

All done! thanks, @Nicholas.tsg